Subject: bug#31770: closed (Re: New ‘guix pull’ dosen’t update the guix manual in GuixSD)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Jun 2018 13:55:02 +0000

Your bug report

#31770: New ‘guix pull’ dosen’t update the guix manual in GuixSD

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31770: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31770
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: New ‘guix pull’ dosen’tupdate the guix manual in GuixSD
From: [email-masked] (Ludovic Courtès)
To: [email-masked] (宋文武)
Cc: guix-devel <[email-masked]>, [email-masked]
Date: Tue, 12 Jun 2018 15:54:37 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (宋文武) skribis:

> [email-masked] (Ludovic Courtès) writes:

[...]

>> -for profile in \"$HOME/.config/guix/current\" \"$HOME/.guix-profile\"
>> +for profile in \"$HOME/.guix-profile\" \"$HOME/.config/guix/current\"
>>  do
>>    if [ -f \"$profile/etc/profile\" ]
>>    then
>> @@ -644,6 +644,8 @@ do
>>    fi
>>  done
>>  
>> +export INFOPATH=\"$HOME/.config/guix/current/share/info:$INFOPATH\"
>> +
>>  # Set the umask, notably for users logging in via 'lsh'.
>>  # See <http://bugs.gnu.org/22650>.
>>  umask 022
>>
>>
>> How does that sound?
>
> Yeah, that's fine.  Maybe add comments about why source ‘current’ after
> user profile (prefer current guix) and why ‘export INFOPATH’ at the end
> (prefer the current guix manual).  Thank you!

Good idea.  Pushed as 8d09bfe21870c2d5fdb1cd04bc5fdcab177204b0, thanks!

Ludo’.

Subject: New ‘guix pull’ dosen’t update the guix manual in GuixSD
From: [email-masked] (宋文武)
To: [email-masked] (Ludovic Courtès)
Cc: guix-devel <[email-masked]>, [email-masked]
Date: Sat, 09 Jun 2018 22:25:21 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Ludovic Courtès) writes:

> Hello Guix!
>
> For those who haven’t been following along on
> <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=22629#35>, I have just
> pushed a new ‘guix pull’.
>
> To summarize, ~/.config/guix/latest no longer exists.  Instead
> ~/.config/guix/current is populated with a complete Guix (without
> ‘guix-daemon’ though), including an up-to-date manual and so on.
> ~/.config/guix/current is a regular profile, meaning that you can
> roll-back to a previously-pulled Guix and so on.

Great!

After run ‘guix pull’ twice, I have got ‘~/.config/guix/current’, then
use it to do a system reconfigure for ‘/etc/profile’.

But the guix manual doesn’t got updated, my ‘INFOPATH’ contains:

- /home/iyzsong/.guix-profile/share/info
- /run/current-system/profile/share/info
- /home/iyzsong/.config/guix/current/share/info
- /home/iyzsong/.guix-profile/share/info
- /run/current-system/profile/share/info

The last there are from the ‘export’ statement of ‘/etc/profile’, the
first two are added by ‘source’ the profiles.  Since there is a guix in
the system profile contains the old info manual, the current one won’t
be picked.

I think we should make ‘INFOPATH’ a search path of the ‘current’ guix
profile, so that it overrides previous ones.